package edu.unca.cs.csci201.LabAids;

/**
 * Creates and draws an upwarding pointing triangle.
 */
public class Triangle {
    
    // instance variables
    private java.awt.Color color;
    private java.awt.Polygon triangle;
    
    // methods
    /**
     * Constructs the triangle
     * @param x X co-ordinate of the top vertex of the triangle
     * @param y Y co-ordinate of the top vertex of the triangle
     * @param length Length of a side of the triangle
     * @param c Color of the triangle
     */
    public Triangle(int x, int y, int length, java.awt.Color c) {

        int[] xpoints = {x, x-length/2, x+length/2};
        int[] ypoints = {y, y+(int)(0.866*length), y+(int)(0.866*length)};
        
        triangle = new java.awt.Polygon(xpoints, ypoints, 3);
        color = c;
    }
	
    /**
     * Draws the triangle
     * @param g Graphics object for drawing the triangle
     */
    public void draw(java.awt.Graphics g) {
        java.awt.Graphics copyG = g.create() ;
        copyG.setColor(color);
        copyG.fillPolygon(triangle);
    }
}

